require_dependency "product_management/product_management_controller"

module ProductManagement
  class ProductsController < ProductManagementController
    # GET /products
    # GET /products.json
    def index
      @products = ProductManagement::Product.all

      respond_to do |format|
        format.html # index.html.erb
        format.json { render json: @products }
      end
    end

    # GET /products/1
    # GET /products/1.json
    def show
      @product = ProductManagement::Product.find(params[:id])

      respond_to do |format|
        format.html # show.html.erb
        format.json { render json: @product }
      end
    end

    # GET /products/new
    # GET /products/new.json
    def new
      @product = ProductManagement::Product.new

      respond_to do |format|
        format.html # new.html.erb
        format.json { render json: @product }
      end
    end

    # GET /products/1/edit
    def edit
      @product = ProductManagement::Product.find(params[:id])
    end

    # POST /products
    # POST /products.json
    def create
      @product = ProductManagement::Product.new(params[:product])

      respond_to do |format|
        if @product.save
          format.html { redirect_to @product, notice: 'Ledger entry was successfully created.' }
          format.json { render json: @product, status: :created, location: @product }
        else
          format.html { render action: "new" }
          format.json { render json: @product.errors, status: :unprocessable_entity }
        end
      end
    end

    # PUT /products/1
    # PUT /products/1.json
    def update
      @product = ProductManagement::Product.find(params[:id])

      respond_to do |format|
        if @product.update_attributes(params[:product])
          format.html { redirect_to @product, notice: 'Ledger entry was successfully updated.' }
          format.json { head :no_content }
        else
          format.html { render action: "edit" }
          format.json { render json: @product.errors, status: :unprocessable_entity }
        end
      end
    end

    # DELETE /products/1
    # DELETE /products/1.json
    def destroy
      @product = ProductManagement::Product.find(params[:id])
      @product.destroy

      respond_to do |format|
        format.html { redirect_to products_url }
        format.json { head :no_content }
      end
    end
  end
end
